\ProvidesClass{usneseni}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Font definitions from "article" class %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\renewcommand\normalsize{%
   \@setfontsize\normalsize\@xpt\@xiipt
   \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\normalsize
\newcommand\small{%
   \@setfontsize\small\@ixpt{11}%
   \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus2\p@
   \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 4\p@ \@plus2\p@ \@minus2\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
\newcommand\footnotesize{%
   \@setfontsize\footnotesize\@viiipt{9.5}%
   \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus\p@
   \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 3\p@ \@plus\p@ \@minus\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
\newcommand\scriptsize{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand\tiny{\@setfontsize\tiny\@vpt\@vipt}
\newcommand\large{\@setfontsize\large\@xiipt{14}}
\newcommand\Large{\@setfontsize\Large\@xivpt{18}}
\newcommand\LARGE{\@setfontsize\LARGE\@xviipt{22}}
\newcommand\huge{\@setfontsize\huge\@xxpt{25}}
\newcommand\Huge{\@setfontsize\Huge\@xxvpt{30}}

%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Necessary packages %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%

\usepackage[utf8]{inputenc}
\usepackage[a4paper,text={16cm,25cm},centering]{geometry}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Environment defintions %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcount\cislousneseni
\newcount\cislozasedani

\global\newtoks\datum
\newtoks\cislozasedani
\newtoks\typzasedani
\newtoks\predseda
\newtoks\predsedajici
\newtoks\tajemnik

\parindent=0pt

\global\def\zasedani{\the\cislozasedani. \the\typzasedani}

\def\title{%
  \vskip1cm%
  {%\baselineskip22pt
   \LARGE%
    \centerline{\textbf{Usnesení AS FEL}}%
    \centerline{\textbf{schválená na \zasedani m zasedání dne \the\datum}}%
  }\vskip1cm}

\def\usneseni#1#2{\advance\cislousneseni by 1%
  {\Large\textbf{Usnesení číslo \the\cislozasedani/\the\cislousneseni}}
  \vskip 6pt #1
  \vskip 6pt \hlasovani #2}

\def\hlasovani#1,#2,#3.{%
  \textbf{Výsledek hlasování:} pro #1, proti #2, zdržel se #3.\vskip1cm}

\def\osoba#1{\centerline{#1}\smallskip}

\def\goodbye{
  Všechna usnesení AS FEL jsou platná okamžikem jejich schválení.
  \vspace{2em}
  \begin{center}
    \textbf{Předsednictvo AS FEL}
  \end{center}
  \bigskip
  \def\me{\hskip2cm}
  \centerline{\vbox{
  \halign{\hfil\me##\me\hfil&\hfil\me##\me\hfil&\hfil\me##\me\hfil\cr
  \the\predseda&\the\predsedajici&\the\tajemnik\cr
  předseda&předsedající&tajemník\cr}}}
  \noexpand\end
}

\def\cara{\removelastskip\bigskip\hrule\bigskip}
